package com.reptileclient.jlifeapp.dao.hm;

import com.reptileclient.jlifeapp.entity.hm.JxWorkerOrder;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface JxWorkerOrderMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(JxWorkerOrder record);

    int insertOrUpdate(JxWorkerOrder record);

    int insertOrUpdateSelective(JxWorkerOrder record);

    int insertSelective(JxWorkerOrder record);

    JxWorkerOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(JxWorkerOrder record);

    int updateByPrimaryKey(JxWorkerOrder record);

    int updateBatch(List<JxWorkerOrder> list);

    int batchInsert(@Param("list") List<JxWorkerOrder> list);

    @Select("select max(jx_order_no) from jlife_worker.jx_worker_order ")
    String getMaxJxOrderNo();

    @Select("select * from jlife_worker.jx_worker_order")
    List<JxWorkerOrder> list();

    @Select("select * from jlife_worker.jx_worker_order where jx_order_no = #{jxOrderNo}")
    JxWorkerOrder getOne(@Param("jxOrderNo") String orderNo);
}
